classification
Title: Bdb: add a unittest file (test.test_bdb)
Type: enhancement Stage: resolved
Components: Tests Versions: Python 3.7, Python 3.6, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: Colin.Williams, Mariatta, cheryl.sabella, miss-islington, terry.reedy, xdegaye
Priority: normal Keywords: patch

Created on 2013-10-27 17:51 by Colin.Williams, last changed 2019-04-12 17:46 by xdegaye. This issue is now closed.

Files
File name Uploaded Description Edit
bdb.patch Colin.Williams, 2013-10-27 17:51 review
bdb.patch Colin.Williams, 2013-11-03 21:30 review
Pull Requests
URL Status Linked Edit
PR 5217 merged xdegaye, 2018-01-17 12:52
PR 6146 merged miss-islington, 2018-03-18 20:03
PR 6150 merged xdegaye, 2018-03-19 12:22
PR 6156 merged xdegaye, 2018-03-20 09:43
Messages (17)
msg201481 - (view) Author: Colin Williams (Colin.Williams) Date: 2013-10-27 17:51
This one is pretty involved.  The tests might reach into the guts of the modules a bit too much, I'd be open to less invasive suggestions.
msg201948 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2013-11-01 22:59
Is the patch against 3.4? I am not sure if we backport new test files.
msg201949 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2013-11-01 23:05
Does all of the code for say, BdbTestCase.setUp, need to be repeated for each test method, versus being put in a .setUpClass method to be executed just once for all the methods in BdbTestCase.
msg202041 - (view) Author: Xavier de Gaye (xdegaye) * (Python triager) Date: 2013-11-03 17:33
A less invasive alternative could be to instrument Bdb with a subclass
that processes send-expect sequences. This is what does
http://code.google.com/p/pdb-clone/source/browse/Lib/test/test_bdb.py

This code could be adapted to run with python bdb.
msg202063 - (view) Author: Colin Williams (Colin.Williams) Date: 2013-11-03 21:30
I've updated the patch to consolidate some duplicated code.  Unfortunately, I wasn't able to move anything to setUpClass without messing even more with the internals.  I haven't had a chance to refine the code further based on xdegaye's suggestions, but I wanted to make sure I was getting feedback on the most up-to-date code.
msg292489 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-04-28 00:20
IDLE's debugger needs multiple patches.  It is based on bdb.  So I want to be able to understand the bdb code and know that it is sound.  The file is nearly devoid of docstrings, so I would like to add those first, probably in a separate patch.  A first draft can be derived from the bdb doc.  Docstrings will help in reviewing the patch.
msg292492 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2017-04-28 00:54
I'll work on the bdb docstrings.
msg292578 - (view) Author: Xavier de Gaye (xdegaye) * (Python triager) Date: 2017-04-29 08:38
> The file is nearly devoid of docstrings, so I would like to add those first, probably in a separate patch.

Please move this new request for enhancement to a separate issue.
msg292597 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-04-29 19:20
While I have previously done docstrings and tests together, I can see that for this issue, separation might be preferable.  Cherl, can you open a new issue and re-title the PR?  (I don't know if that will be sufficient to 'move' it, but I hope so.)
msg292599 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2017-04-29 19:57
Moved to issue 30211 for docstrings.
msg292621 - (view) Author: Xavier de Gaye (xdegaye) * (Python triager) Date: 2017-04-30 09:21
Thanks Terry and Cheryl for splitting the issue :)
msg293836 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2017-05-17 02:50
Wondering if it might make sense to use Mock in this patch?
msg310157 - (view) Author: Xavier de Gaye (xdegaye) * (Python triager) Date: 2018-01-17 12:57
PR 5217 adds the test.test_bdb module and provides a framework for adding more tests to the bdb module.

Added versions 3.6 and 2.7. This is consistent with what was done in issues #21916 and #25616 for example, but the main reason is that most bdb bug fixes need to be backported to the maintenance and 2.7 versions and should use the same test case whenever possible.
msg314053 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2018-03-18 20:02
New changeset 3fe33043ee83d19e15551094fc1e0984617ded3c by Mariatta (xdegaye) in branch 'master':
bpo-19417: Add test_bdb.py (GH-5217)
https://github.com/python/cpython/commit/3fe33043ee83d19e15551094fc1e0984617ded3c
msg314054 - (view) Author: miss-islington (miss-islington) Date: 2018-03-18 20:25
New changeset fdd8e8b4ffb68a4e8749bdc3b130fea7bbbf821e by Miss Islington (bot) in branch '3.7':
bpo-19417: Add test_bdb.py (GH-5217)
https://github.com/python/cpython/commit/fdd8e8b4ffb68a4e8749bdc3b130fea7bbbf821e
msg314105 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2018-03-19 17:30
New changeset 424f3dafea16fbaee55a30903af2d6717f4d4a6b by Mariatta (xdegaye) in branch '3.6':
bpo-19417: Add test_bdb.py (GH-5217)
https://github.com/python/cpython/commit/424f3dafea16fbaee55a30903af2d6717f4d4a6b
msg325474 - (view) Author: miss-islington (miss-islington) Date: 2018-09-16 06:09
New changeset 57e70d3802a2a78e638999c6923053c63fe373f8 by Miss Islington (bot) (xdegaye) in branch '2.7':
[2.7] bpo-19417: Add test_bdb.py (GH-5217) (GH-6156)
https://github.com/python/cpython/commit/57e70d3802a2a78e638999c6923053c63fe373f8
History
Date User Action Args
2019-04-12 17:46:24xdegayesetstatus: open -> closed
dependencies: - Bdb: add docstrings
resolution: fixed
stage: patch review -> resolved
2018-09-16 06:09:17miss-islingtonsetmessages: + msg325474
2018-03-20 09:43:06xdegayesetpull_requests: + pull_request5913
2018-03-19 17:30:50Mariattasetmessages: + msg314105
2018-03-19 12:22:46xdegayesetpull_requests: + pull_request5908
2018-03-18 20:25:17miss-islingtonsetnosy: + miss-islington
messages: + msg314054
2018-03-18 20:03:00miss-islingtonsetpull_requests: + pull_request5904
2018-03-18 20:02:50Mariattasetnosy: + Mariatta
messages: + msg314053
2018-01-17 12:57:59xdegayesetmessages: + msg310157
versions: + Python 2.7, Python 3.6
2018-01-17 12:52:29xdegayesetpull_requests: + pull_request5070
2017-05-17 02:50:44cheryl.sabellasetmessages: + msg293836
2017-04-30 09:21:39xdegayesetmessages: + msg292621
2017-04-29 20:49:54terry.reedysetdependencies: + Bdb: add docstrings
title: Bdb: add docstrings and a unittest file (test.test_bdb) -> Bdb: add a unittest file (test.test_bdb)
2017-04-29 19:57:35cheryl.sabellasetmessages: + msg292599
2017-04-29 19:56:13cheryl.sabellasetpull_requests: - pull_request1462
2017-04-29 19:20:28terry.reedysetmessages: + msg292597
2017-04-29 08:38:33xdegayesetmessages: + msg292578
2017-04-28 20:28:23cheryl.sabellasetpull_requests: + pull_request1462
2017-04-28 00:54:16cheryl.sabellasetnosy: + cheryl.sabella
messages: + msg292492
2017-04-28 00:20:23terry.reedysetassignee: terry.reedy
title: Add tests for bdb (previously not tested) -> Bdb: add docstrings and a unittest file (test.test_bdb)
messages: + msg292489
versions: + Python 3.7, - Python 3.4
2013-11-03 21:30:02Colin.Williamssetfiles: + bdb.patch

messages: + msg202063
2013-11-03 17:33:22xdegayesetnosy: + xdegaye
messages: + msg202041
2013-11-01 23:05:31terry.reedysetmessages: + msg201949
2013-11-01 22:59:09terry.reedysettype: enhancement
title: bdb test coverage -> Add tests for bdb (previously not tested)
components: + Tests

nosy: + terry.reedy
versions: + Python 3.4
messages: + msg201948
stage: patch review
2013-10-27 17:51:48Colin.Williamscreate